{* Smarty *}
{if $comm}
{$total_text}
<p>
	{foreach from=$search_menu key=key item=menu name=menu}
		{if $smarty.foreach.menu.first||$smarty.foreach.menu.last||($key<($start+($smarty.const.CF_SEARCH_MAX*10))&&$key>($start-($smarty.const.CF_SEARCH_MAX*10)))}
			{if $smarty.foreach.menu.last && $start<($total-($smarty.const.CF_SEARCH_MAX*11))}
				...
			{/if}
			{if $key != $start}
				<a href="{$menu.url}">{$menu.title}</a>
			{else}
				{$menu.title}
			{/if}
			{if $smarty.foreach.menu.first && $start>($smarty.const.CF_SEARCH_MAX*10)}
				...
			{/if}
		{/if}
	{/foreach}
</p>
<p>
	{if $previous or $start == $smarty.const.CF_SEARCH_MAX}<a href="{$previous}">&laquo; {$smarty.const.LN_PREVIOUS} {$smarty.const.CF_SEARCH_MAX}</a>{/if}
	{if $next}<a href="{$next}">{$smarty.const.LN_NEXT} {$smarty.const.CF_SEARCH_MAX} &raquo;</a>{/if}
</p>
{* To enable AJAX this table must have an id of "comments" and each comment must be between it's own tbody tags; $comm.approved must have the class "approved" *}
<table id="comments">
<thead>
	<tr>
		<th><a href="{$smarty.const.CF_BASE_URL}comments{if $uid}/{$uid}{/if}{$smarty.const.CF_VAR_BASE}o=u&d={if $order == 'u' && !$direction}1{else}0{/if}" title="{$smarty.const.LN_CLICK_TO_SORT}">{$smarty.const.LN_USER}</a>{if $order == 'u'} {if $direction}<img src="{$smarty.const.URL_TPL}{$used_template}/templates/images/down.png" alt="{$smarty.const.LN_ASC}" />{else}<img src="{$smarty.const.URL_TPL}{$used_template}/templates/images/up.png" alt="{$smarty.const.LN_DESC}" />{/if}{/if}</th>
		<th><a href="{$smarty.const.CF_BASE_URL}comments{if $uid}/{$uid}{/if}{$smarty.const.CF_VAR_BASE}o=d&d={if $order == 'd' && !$direction}1{else}0{/if}" title="{$smarty.const.LN_CLICK_TO_SORT}">{$smarty.const.LN_DATE}</a>{if $order == 'd'} {if $direction}<img src="{$smarty.const.URL_TPL}{$used_template}/templates/images/down.png" alt="{$smarty.const.LN_ASC}" />{else}<img src="{$smarty.const.URL_TPL}{$used_template}/templates/images/up.png" alt="{$smarty.const.LN_DESC}" />{/if}{/if}</th>
		<th>{$smarty.const.LN_COMMENT}</th>
		<th><a href="{$smarty.const.CF_BASE_URL}comments{if $uid}/{$uid}{/if}{$smarty.const.CF_VAR_BASE}o=a&d={if $order == 'a' && !$direction}1{else}0{/if}" title="{$smarty.const.LN_CLICK_TO_SORT}">{$smarty.const.LN_APPROVED}</a>{if $order == 'a'} {if $direction}<img src="{$smarty.const.URL_TPL}{$used_template}/templates/images/down.png" alt="{$smarty.const.LN_ASC}" />{else}<img src="{$smarty.const.URL_TPL}{$used_template}/templates/images/up.png" alt="{$smarty.const.LN_DESC}" />{/if}{/if}</th>
	</tr>
</thead>
{foreach from=$comm item=comm key=k}
<tbody>
	<tr>
		<td>{if $comm.uid}<a href="{$smarty.const.CF_BASE_URL}comments/{$comm.uid}">{$comm.name}</a>{else}{$comm.name}{/if}</td>
		<td>{$comm.date}</td>
		<td>
			{if $comm.type == 'page'}{$smarty.const.LN_PAGE}: <a href="{$comm.linked.url}">{$comm.linked.title}</a>
			{elseif $comm.type == 'post'}{$smarty.const.LN_POST}: <a href="{$comm.linked.url}">{$comm.linked.title}</a>
			{else}
			{if $comm.linked.record == 'person'}{$smarty.const.LN_PERSON}: <a href="{$comm.linked.url}">{$comm.linked.givn} {$comm.linked.spfx_surn}</a> {if $comm.linked.begi or $comm.linked.end}({$comm.linked.begi}-{$comm.linked.end}){/if}{/if}
			{if $comm.linked.record == 'fam'}{$smarty.const.LN_FAMILY}: {if $comm.linked.husb}<a href="{$comm.linked.husb.url}">{$comm.linked.husb.npfx} {$comm.linked.husb.givn} {$comm.linked.husb.spfx_surn} {$comm.linked.husb.nsfx}</a>{/if} & {if $comm.linked.wife}<a href="{$comm.linked.wife.url}">{$comm.linked.wife.npfx} {$comm.linked.wife.givn} {$comm.linked.wife.spfx_surn} {$comm.linked.wife.nsfx}</a>{/if}{/if}
			{if $comm.linked.record == 'event'}{$smarty.const.LN_EVENT}: <a href="{$comm.linked.url}">{$comm.linked.type}: {$comm.linked.value} {$comm.linked.date} {$comm.linked.plac}</a>{/if}
			{if $comm.linked.record == 'media'}{$smarty.const.LN_MEDIA}: <a href="{$comm.linked.url}">{$comm.linked.titl}</a>{/if}
			{if $comm.linked.record == 'note'}{$smarty.const.LN_NOTE}: <a href="{$comm.linked.url}">{$comm.linked.titl}</a>{/if}
			{if $comm.linked.record == 'source'}{$smarty.const.LN_SOURCE}: <a href="{$comm.linked.url}">{$comm.linked.abbr}</a>{/if}
			{if $comm.linked.record == 'repository'}{$smarty.const.LN_REPOSITORY}: <a href="{$comm.linked.url}">{$comm.linked.name}</a>{/if}
			{/if}
		</td>
		<td><span class="approved">{$comm.approved}</span></td>
	</tr>
	<tr>
		<td colspan="3"><strong>{$smarty.const.LN_TEXT}:</strong> {$comm.text|truncate:200:"...":false}</td>
		<td>
			{if $comm.approve}<a href="{$comm.approve}">{$smarty.const.LN_APPROVE}</a><br />{/if}
			{if $comm.edit}<a href="{$comm.edit}">{$smarty.const.LN_EDIT}</a><br />{/if}
			{if $comm.delete}<a href="{$comm.delete}">{$smarty.const.LN_DELETE}</a><br />{/if}
			{if $admin}<a href="{$smarty.const.CF_BASE_URL}comment/{$comm.linked.ltid}/{$comm.linked.lid}">{$smarty.const.LN_REPLY}</a>{/if}
		</td>
	</tr>
</tbody>
{/foreach}
</table>
<p>
	{if $previous or $start == $smarty.const.CF_SEARCH_MAX}<a href="{$previous}">&laquo; {$smarty.const.LN_PREVIOUS} {$smarty.const.CF_SEARCH_MAX}</a>{/if}
	{if $next}<a href="{$next}">{$smarty.const.LN_NEXT} {$smarty.const.CF_SEARCH_MAX} &raquo;</a>{/if}
</p>
<p>
	{foreach from=$search_menu key=key item=menu name=menu}
		{if $smarty.foreach.menu.first||$smarty.foreach.menu.last||($key<($start+($smarty.const.CF_SEARCH_MAX*10))&&$key>($start-($smarty.const.CF_SEARCH_MAX*10)))}
			{if $smarty.foreach.menu.last && $start<($total-($smarty.const.CF_SEARCH_MAX*11))}
				...
			{/if}
			{if $key != $start}
				<a href="{$menu.url}">{$menu.title}</a>
			{else}
				{$menu.title}
			{/if}
			{if $smarty.foreach.menu.first && $start>($smarty.const.CF_SEARCH_MAX*10)}
				...
			{/if}
		{/if}
	{/foreach}
</p>
{/if}