{* Smarty *}
{if $note}
	{if $note.obje}<div class="media">
		<h3>{$smarty.const.LN_MEDIA}</h3>
		{foreach from=$note.obje item=obje}
			{if $obje.type=='image'}{if $obje.th}<a href="{$obje.url}"><img src="{$obje.th}" alt="{$obje.titl}" title="{$obje.titl}" class="photo" /></a>{else}{$obje.file}{/if}{/if}
		{/foreach}
		<ul>
		{foreach from=$note.obje item=obje}
			{if $obje.type=='multimedia'}<li><a href="{$obje.url}">{$obje.titl}</a></li>{/if}
		{/foreach}
		{foreach from=$note.obje item=obje}
			{if $obje.type=='other'}<li><a href="{$obje.url}">{$obje.titl}</a></li>{/if}
		{/foreach}
		{foreach from=$note.obje item=obje}
			{if $obje.type=='link'}<li><a href="{$obje.url}">{$obje.titl}</a></li>{/if}
		{/foreach}
	</ul>
	</div>{/if}
	{$note.text}
	{if $note.chan||$note.refn||$note.rin}
		<ul>
			{if $note.chan}<li>{$smarty.const.LN_LAST_UPDATED}: {$note.chan}</li>{/if}
			{if $note.refn}<li>{$smarty.const.LN_REFN}: {$note.refn}</li>{/if}
			{if $note.rin}<li>{$smarty.const.LN_RIN}: {$note.rin}</li>{/if}
		</ul>
	{/if}
	{if $note.linked}
		<h4>{$smarty.const.LN_LINKED_TO}</h4>
		<ul>
		{foreach from=$note.linked item=linked}
			{if $linked.record == 'person'}
				<li>{$smarty.const.LN_PERSON}: <a href="{$linked.url}">{$linked.npfx} {$linked.givn} {$linked.spfx_surn} {$linked.nsfx}</a> ({$linked.begi_year}-{$linked.end_year})</li>
			{/if}
			{if $linked.record == 'fam'}
				<li>{$smarty.const.LN_FAMILY}:
				{if $linked.husb}<a href="{$linked.husb.url}">{$linked.husb.npfx} {$linked.husb.givn} {$linked.husb.spfx_surn} {$linked.husb.nsfx}</a>
				{/if}
				&
				{if $linked.wife}
					<a href="{$linked.wife.url}">{$linked.wife.npfx} {$linked.wife.givn} {$linked.wife.spfx_surn} {$linked.wife.nsfx}</a>
				{/if}
				</li>
			{/if}
			{if $linked.record == 'event'}
				<li>{$smarty.const.LN_EVENT}: <a href="{$linked.url}">{$linked.type}: {$linked.value} {$linked.date} {$linked.plac}</a></li>
			{/if}
			{if $linked.record == 'media'}
				{if $linked.type=='image'}<li><a href="{$linked.url}"><img src="{$linked.th}" alt="{$linked.titl}" title="{$linked.titl}" class="photo" /></a></li>{else}
				<li>{$smarty.const.LN_MEDIA}: <a href="{$linked.url}">{$linked.titl}</a></li>{/if}
			{/if}
			{if $linked.record == 'source'}
				<li>{$smarty.const.LN_SOURCE}: <a href="{$linked.url}">{$linked.abbr}</a></li>
			{/if}
			{if $linked.record == 'repository'}
				<li>{$smarty.const.LN_REPOSITORY}: <a href="{$linked.url}">{$linked.name}</a></li>
			{/if}
		{/foreach}
		</ul>
	{/if}
	{if $note.cita}
		<h3>{$smarty.const.LN_CITATIONS}</h3>
		<ul>
		{foreach from=$note.cita item=cita}
			<li>{if $cita.abbr}<a href="{$cita.url}">{$cita.abbr}</a>{/if}{if $cita.abbr && $cita.page}, {/if}{$cita.page}{if $cita.date||$cita.even} ({$cita.even}{if $cita.even && $cita.date} - {/if}{$cita.date}){/if}{if ($cita.abbr||$cita.page||$cita.date||$cita.even) && $cita.cit}: {/if}{$cita.cit}{if $cita.quay!=''} ({$smarty.const.LN_QUAY}: {$cita.quay}){/if}{if $cita.edit} (<a href="{$cita.edit}">{$smarty.const.LN_EDIT}</a> <a href="{$cita.delete}">{$smarty.const.LN_DELETE}</a>){/if}</li>
		{/foreach}
		</ul>
	{/if}
	<h2>{$smarty.const.LN_COMMENTS}</h2>
	<p><a href="{$smarty.const.CF_BASE_URL}comment/{$note.ntid}/{$note.nid}">{$smarty.const.LN_SEND_COMMENT}</a></p>
	{if $note.comm}
	<ul>
	{foreach from=$note.comm item=comm}
		<li><a name="comment{$comm.cmid}"></a><strong>{$comm.name} ({$comm.date})</strong>:<br />{$comm.text}{if $comm.edit}<br /><a href="{$comm.edit}">{$smarty.const.LN_EDIT}</a> <a href="{$comm.delete}">{$smarty.const.LN_DELETE}</a>{/if}</li>
	{/foreach}
	</ul>
	{/if}
{/if}