{* Smarty *}

{if $prompt}
	<form action="{$smarty.const.CF_BASE_URL}backup/{$backup_action}/{$table}" method="post">
	<input type="hidden" name="s" value="1" />
	<input type="submit" name="submit" value="{$smarty.const.LN_CONTINUE}" />
	</form>
{/if}


{if $tables}
<p>{$smarty.const.LN_BACKUP_EXPLANATION}</p>
{* To enable AJAX this table must have an id of "backup", each backup must be between it's own tbody tags and the classes "backup_size", "backup_last", "backup_restore" and "backup_delete" must be there *}
<table id="backup">
<thead>
	<tr>
		<th>{$smarty.const.LN_TABLE}</th>
		<th>{$smarty.const.LN_SIZE}</th>
		<th>{$smarty.const.LN_DATE}</th>
		<th></th>
		<th></th>
		<th></th>
		<th></th>
	</tr>
</thead>
{foreach from=$tables item=tb key=k}
<tbody>
	<tr>
		<td>{$k}</td>
		<td class="backup_size">{$tb.size}</td>
		<td class="backup_last">{$tb.last}</td>
		<td class="backup_backup"><a href="{$smarty.const.CF_BASE_URL}backup/backup/{$k}">{$smarty.const.LN_BACKUP}</a></td>
		<td class="backup_restore">{if $tb.last}<a href="{$smarty.const.CF_BASE_URL}backup/restore/{$k}">{$smarty.const.LN_RESTORE}</a>{/if}</td>
		<td class="backup_download">{if $tb.last}<a href="{$smarty.const.CF_BASE_URL}download/backup/{$k}.sql">{$smarty.const.LN_DOWNLOAD}</a>{/if}</td>
		<td class="backup_delete">{if $tb.size}<a href="{$smarty.const.CF_BASE_URL}backup/delete/{$k}">{$smarty.const.LN_DELETE}</a>{/if}</td>
	</tr>
</tbody>
{/foreach}
</table>
{/if}