{* Smarty *}
<form action="{$smarty.const.CF_BASE_URL}editfamily/{$ftid}/{$fid}" method="post">
<input type="hidden" name="s" value="1" />
<table>
<tbody>
	<tr>
		<td><label for="refn">{$smarty.const.LN_REFN}:</label></td>
		<td><input type="text" name="refn" id="refn" value="{$fam.refn}" /></td>
	</tr>
	<tr>
		<td><label for="rin">{$smarty.const.LN_RIN}:</label></td>
		<td><input type="text" name="rin" id="rin" value="{$fam.rin}" /></td>
	</tr>
	<tr>
		<td>{$smarty.const.LN_EVENTS}:</td>
		<td>
		{foreach from=$fam.even item=even}
			<li>{$even.type}: {$even.value} {$even.date} {$even.plac} (<a href="{$even.url}">{$smarty.const.LN_MORE}...</a>)</li>
		{/foreach}
	</tr>
	<tr>
		<td>{$smarty.const.LN_HUSBAND}:</td>
		<td><a href="{$smarty.const.CF_BASE_URL}addperson/husband/{$ftid}/{$fid}">{$smarty.const.LN_ADD_HUSBAND}</a></td>
	</tr>
	<tr>
		<td></td>
		{* To enable AJAX this cell must have an id of "husband" *}
		<td id="husband">
			{if $fam.husb}<input type="checkbox" name="husb" id="husb" value="{$fam.husb.itid},{$fam.husb.iid}" checked="checked" /> <label for="husb"><a href="{$fam.husb.url}">{$fam.husb.givn} {$fam.husb.spfx_surn}</a> {if $fam.husb.begi or $fam.husb.end}({$fam.husb.begi}-{$fam.husb.end}){/if}</label>{/if}
		</td>
	</tr>
	<tr>
		<td>{$smarty.const.LN_WIFE}:</td>
		<td><a href="{$smarty.const.CF_BASE_URL}addperson/wife/{$ftid}/{$fid}">{$smarty.const.LN_ADD_WIFE}</a></td>
	</tr>
	<tr>
		<td></td>
		{* To enable AJAX this cell must have an id of "wife_" *}
		<td id="wife_">
			{if $fam.wife}<input type="checkbox" name="wife" id="wife" value="{$fam.wife.itid},{$fam.wife.iid}" checked="checked" /> <label for="wife"><a href="{$fam.wife.url}">{$fam.wife.givn} {$fam.wife.spfx_surn}</a> {if $fam.wife.begi or $fam.wife.end}({$fam.wife.begi}-{$fam.wife.end}){/if}</label>{/if}
		</td>
	</tr>
	<tr>
		<td>{$smarty.const.LN_CHILDREN}:</td>
		<td><a href="{$smarty.const.CF_BASE_URL}addperson/child/{$ftid}/{$fid}">{$smarty.const.LN_ADD_CHILD}</a></td>
	</tr>
	<tr>
		<td></td>
		{* To enable AJAX this cell must have an id of "children" *}
		<td id="children">
			{foreach from=$fam.chil item=chil}
				<input type="checkbox" name="child[]" id="chil-{$chil.itid}-{$chil.iid}" value="{$chil.itid},{$chil.iid}" checked="checked" /> <input type="text" name="sort[]" id="sort-{$chil.itid}-{$chil.iid}" value="{$chil.sort}" class="short" /> {html_options name="rela[]" options=$rela_list selected=$chil.raw.rela} <label for="chil-{$chil.itid}-{$chil.iid}"><a href="{$chil.url}">{$chil.givn} {$chil.spfx_surn}</a> {if $chil.begi or $chil.end}({$chil.begi}-{$chil.end}){/if}</label><br />
			{/foreach}
		</td>
	</tr>
	<tr>
		<td>{$smarty.const.LN_ASSOCIATIONS}:</td>
		{* To enable AJAX this cell must have an id of "associations" *}
		<td id="associations">
			{foreach from=$fam.asso item=asso}
				<input type="checkbox" name="asso[]" id="asso-{$asso.atid}-{$asso.aid}" value="{$asso.atid},{$asso.aid}" checked="checked" /> <label for="asso-{$asso.atid}-{$asso.aid}"><a href="{$asso.url}">{$asso.givn} {$asso.spfx_surn}</a> {if $asso.begi or $asso.end}({$asso.begi}-{$asso.end}){/if}</label> <input type="text" name="asso_rela[]" id="asso_rela-{$asso.atid}-{$asso.aid}" value="{$asso.rela}" class="long" /><br />
			{/foreach}
		</td>
	</tr>
	<tr>
		<td></td>
		<td><input type="submit" name="submit" value="{$smarty.const.LN_SAVE}" /></td>
	</tr>
</tbody>
</table>
</form>
<h2>{$smarty.const.LN_ADD_PARTNERS_CHILDREN_ASSOCIATIONS}:</label></h2>
<p>{$smarty.const.LN_PARTNERS_CHILDREN_ASSOCIATIONS_EXPLANATION}</p>
<table>
<tbody>
	<tr>
		<td><label for="asn">{$smarty.const.LN_SURNAME}:</label></td>
		<td><label for="agv">{$smarty.const.LN_GIVEN_NAMES}:</label></td>
		<td><label for="apl">{$smarty.const.LN_PLACE}:</label></td>
		<td><label for="add">{$smarty.const.LN_BETWEEN}:</label></td>
	</tr>
	<tr>
		<td><input type="text" id="asn" name="asn" /></td>
		<td><input type="text" id="agv" nname="agv" /></td>
		<td><input type="text" id="apl" nname="apl" /></td>
		<td>
			<input type="text" id="add" nname="add" maxlength="4" class="short" />
			<label for="addd">{$smarty.const.LN_AND}:</label>
			<input type="text" id="addd" nname="addd" maxlength="4" class="short" />
		</td>
	</tr>
</tbody>
</table>
{* To enable AJAX this div must have an id of 'ajax' *}
<div id="ajax"></div>