{* Smarty *}
{if $text}
{$total_text}
<p>
	{foreach from=$search_menu key=key item=menu name=menu}
		{if $smarty.foreach.menu.first||$smarty.foreach.menu.last||($key<($start+($smarty.const.CF_SEARCH_MAX*10))&&$key>($start-($smarty.const.CF_SEARCH_MAX*10)))}
			{if $smarty.foreach.menu.last && $start<($total-($smarty.const.CF_SEARCH_MAX*11))}
				...
			{/if}
			{if $key != $start}
				<a href="{$menu.url}">{$menu.title}</a>
			{else}
				{$menu.title}
			{/if}
			{if $smarty.foreach.menu.first && $start>($smarty.const.CF_SEARCH_MAX*10)}
				...
			{/if}
		{/if}
	{/foreach}
</p>
<p>
	{if $previous or $start == $smarty.const.CF_SEARCH_MAX}<a href="{$previous}">&laquo; {$smarty.const.LN_PREVIOUS} {$smarty.const.CF_SEARCH_MAX}</a>{/if}
	{if $next}<a href="{$next}">{$smarty.const.LN_NEXT} {$smarty.const.CF_SEARCH_MAX} &raquo;</a>{/if}
</p>
{* To enable AJAX this table must have an id of "posts" and each post must be between it's own tbody tags; $text.approved must have the class "approved"; $text.draft must have the class "draft" *}
<table id="posts">
<thead>
	<tr>
		<th><a href="{$smarty.const.CF_BASE_URL}posts{if $bcid||$uid}/{$bcid}{/if}{if $uid}/{$uid}{/if}{$smarty.const.CF_VAR_BASE}o=u&d={if $order == 'u' && !$direction}1{else}0{/if}" title="{$smarty.const.LN_CLICK_TO_SORT}">{$smarty.const.LN_USER}</a>{if $order == 'u'} {if $direction}<img src="{$smarty.const.URL_TPL}{$used_template}/templates/images/down.png" alt="{$smarty.const.LN_ASC}" />{else}<img src="{$smarty.const.URL_TPL}{$used_template}/templates/images/up.png" alt="{$smarty.const.LN_DESC}" />{/if}{/if}</th>
		<th><a href="{$smarty.const.CF_BASE_URL}posts{if $bcid||$uid}/{$bcid}{/if}{if $uid}/{$uid}{/if}{$smarty.const.CF_VAR_BASE}o=d&d={if $order == 'd' && !$direction}1{else}0{/if}" title="{$smarty.const.LN_CLICK_TO_SORT}">{$smarty.const.LN_DATE}</a>{if $order == 'd'} {if $direction}<img src="{$smarty.const.URL_TPL}{$used_template}/templates/images/down.png" alt="{$smarty.const.LN_ASC}" />{else}<img src="{$smarty.const.URL_TPL}{$used_template}/templates/images/up.png" alt="{$smarty.const.LN_DESC}" />{/if}{/if}</th>
		<th>{$smarty.const.LN_POST}</th>
		<th>{$smarty.const.LN_CATEGORY}</th>
		<th><a href="{$smarty.const.CF_BASE_URL}posts{if $bcid||$uid}/{$bcid}{/if}{if $uid}/{$uid}{/if}{$smarty.const.CF_VAR_BASE}o=a&d={if $order == 'a' && !$direction}1{else}0{/if}" title="{$smarty.const.LN_CLICK_TO_SORT}">{$smarty.const.LN_APPROVED}</a>{if $order == 'a'} {if $direction}<img src="{$smarty.const.URL_TPL}{$used_template}/templates/images/down.png" alt="{$smarty.const.LN_ASC}" />{else}<img src="{$smarty.const.URL_TPL}{$used_template}/templates/images/up.png" alt="{$smarty.const.LN_DESC}" />{/if}{/if}</th>
	</tr>
</thead>
{foreach from=$text item=text key=k}
<tbody>
	<tr>
		<td><a href="{$smarty.const.CF_BASE_URL}posts/{$bcid}/{$text.uid}">{$text.username}</a></td>
		<td>{$text.date}</td>
		<td><strong><a href="{$text.url}">{$text.title}</a>{if $text.draft} <span class="draft">({$text.draft})</span>{/if}</strong></td>
		<td>{if $text.category}<a href="{$smarty.const.CF_BASE_URL}posts/{$text.bcid}">{$text.category}</a>{/if}</td>
		<td class="approved">{$text.approved}</td>
	</tr>
	<tr>
		<td colspan="4">{$text.lead|truncate:200:"...":false}</td>
		<td>
			{if $text.approve && $text.approved == $smarty.const.LN_NO}<a href="{$smarty.const.CF_BASE_URL}approvepost/{$k}">{$smarty.const.LN_APPROVE}</a><br />{/if}
			{if $text.draft}<a href="{$smarty.const.CF_BASE_URL}publishpost/{$k}">{$smarty.const.LN_PUBLISH}</a><br />{/if}
			<a href="{$smarty.const.CF_BASE_URL}editpost/{$k}">{$smarty.const.LN_EDIT}</a><br />
			<a href="{$smarty.const.CF_BASE_URL}deletepost/{$k}">{$smarty.const.LN_DELETE}</a>
		</td>
	</tr>
</tbody>
{/foreach}
</table>
<p>
	{if $previous or $start == $smarty.const.CF_SEARCH_MAX}<a href="{$previous}">&laquo; {$smarty.const.LN_PREVIOUS} {$smarty.const.CF_SEARCH_MAX}</a>{/if}
	{if $next}<a href="{$next}">{$smarty.const.LN_NEXT} {$smarty.const.CF_SEARCH_MAX} &raquo;</a>{/if}
</p>
<p>
	{foreach from=$search_menu key=key item=menu name=menu}
		{if $smarty.foreach.menu.first||$smarty.foreach.menu.last||($key<($start+($smarty.const.CF_SEARCH_MAX*10))&&$key>($start-($smarty.const.CF_SEARCH_MAX*10)))}
			{if $smarty.foreach.menu.last && $start<($total-($smarty.const.CF_SEARCH_MAX*11))}
				...
			{/if}
			{if $key != $start}
				<a href="{$menu.url}">{$menu.title}</a>
			{else}
				{$menu.title}
			{/if}
			{if $smarty.foreach.menu.first && $start>($smarty.const.CF_SEARCH_MAX*10)}
				...
			{/if}
		{/if}
	{/foreach}
</p>
{/if}